View Issue Details

IDProjectCategoryView StatusLast Update
0003875FreeCADBugpublic2019-07-29 14:57
Reporteruwestoehr Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.18 
Target VersionFixed in Version0.18 
Summary0003875: Spreadsheet workbench does not respect locale for decimal separator
Description- use FC e.g. with German as locale (Locale: German/Germany (de_DE))
- open or create a table and enter into a field "1,2"

result: you get "1.2"
The German decimal separator is the comma, not the dot and in all other placed FC respects that - one has to use consistently the comma.
Also tables should respect this to avid conflicts since e.g in German the dot is used as thousands separator.
Additional InformationSee also 0003795 for the discussion that lead to this bug report.

OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15991 (Git)
Build type: Release
Branch: master
Hash: 10c745175f8a121b594ee6b0612cc487ebf43ba1
Python version: 3.6.6
Qt version: 5.6.2
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: German/Germany (de_DE)
Tagslocale, units
FreeCAD Information

Relationships

related to 0003795 closed Input of floating point values with point ('.') instead of comma (',') 

Related Changesets

FreeCAD: releases/FreeCAD-0-18 58aa9b18

2019-03-02 22:07:49

wmayer

Details Diff
fixes 0003876: Spreadsheet WB does not respect number of decimal settings
fixes 0003875: Spreadsheet workbench does not respect locale for decimal separator
Affected Issues
0003875, 0003876
mod - src/Mod/Spreadsheet/Gui/SheetModel.cpp Diff File

Issue History

Date Modified Username Field Change
2019-03-01 15:01 uwestoehr New Issue
2019-03-02 02:00 Kunda1 Tag Attached: units
2019-03-02 02:00 Kunda1 Tag Attached: locale
2019-03-02 02:01 Kunda1 Relationship added related to 0003795
2019-03-02 22:08 wmayer Status new => closed
2019-03-02 22:08 wmayer Resolution open => fixed
2019-03-02 22:08 wmayer Fixed in Version => 0.18
2019-03-02 22:08 wmayer Note Added: 0012821
2019-07-29 14:57 Kunda1 Changeset attached => FreeCAD releases/FreeCAD-0-18 58aa9b18